## org.exist.client.xacml
Class TargetEditor

    java.lang.Object
      org.exist.client.xacml.AbstractNodeEditor
          org.exist.client.xacml.TargetEditor

All Implemented Interfaces:
  javax.swing.event.ChangeListener, java.util.EventListener, javax.swing.event.ListSelectionListener, NodeEditor

public class TargetEditor
extends AbstractNodeEditor
implements javax.swing.event.ChangeListener, javax.swing.event.ListSelectionListener

Constructor Summary
`TargetEditor(DatabaseInterface dbInterface)`

Method Summary
`javax.swing.JComponent` `getComponent()`
`void` `pushChanges()`
`void` `setNode(XACMLTreeNode treeNode)`
`void` `stateChanged(javax.swing.event.ChangeEvent event)`
`void` `valueChanged(javax.swing.event.ListSelectionEvent event)`

Methods inherited from class org.exist.client.xacml.AbstractNodeEditor
`addChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TargetEditor

    public TargetEditor(DatabaseInterface dbInterface)

Method Detail

### getComponent

    public javax.swing.JComponent getComponent()

  Specified by:
    `getComponent` in interface `NodeEditor`

### setNode

    public void setNode(XACMLTreeNode treeNode)

  Specified by:
    `setNode` in interface `NodeEditor`

### pushChanges

    public void pushChanges()

  Specified by:
    `pushChanges` in interface `NodeEditor`

### valueChanged

    public void valueChanged(javax.swing.event.ListSelectionEvent event)

  Specified by:
    `valueChanged` in interface `javax.swing.event.ListSelectionListener`

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent event)

  Specified by:
    `stateChanged` in interface `javax.swing.event.ChangeListener`

Copyright (C) Wolfgang Meier. All rights reserved.